#include <fmt/core.h>
#include <numeric>
#include <cassert>
#include <fstream>
#include <iostream>
#include "parser.hpp"
#include "dbc.hpp"

#include "./md_parser.cpp"

std::string load_file(const std::string& md_file) {
  std::ifstream in_file{md_file, std::ios::binary};
  dbc::check(bool(in_file), fmt::format("failed to load {}", md_file));

  return std::string(std::istreambuf_iterator<char>(in_file), std::istreambuf_iterator<char>());
}

Parser::Parser()
{

}

void Parser::finalize() {
}
